Subject: Re: Shift keycodes on the iBook

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 3 Sep 2002 22:17:53 +0200

>> The interesting thing is that was what was believed for years about
>> the locking capslock key as well...
>
>Ah, but that depends on the specific model of keyboard. At least some of
>Apple's ADB keyboards _do_ indead have a mechanical capslock.
>
>I don't know for USB keyboards, but obviously the PowerBook keyboards
>have a regular (non-locking) key as capslock. Whether the lock is done
>in the ADB driver or in the keyboard controller, I don't know...

Actually, the lock itself isn't, but the keycode sent by the PMU behave
like a HW lock (and the LED is driven that way too).

In both cases, there may be ways to instruct the PMU to behave differently
but I don't know about them.

Ben.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/